Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 839990 (CVE-2022-21465, CVE-2022-21471, CVE-2022-21487, CVE-2022-21488) - <app-emulation/virtualbox-6.1.34: multiple vulnerabilities
Summary: <app-emulation/virtualbox-6.1.34: multiple vulnerabilities
Status: IN_PROGRESS
Alias: CVE-2022-21465, CVE-2022-21471, CVE-2022-21487, CVE-2022-21488
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://www.oracle.com/security-alert...
Whiteboard: B3 [stable?]
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-21 23:33 UTC by John Helmert III
Modified: 2022-06-18 13:40 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III archtester Gentoo Infrastructure gentoo-dev Security 2022-04-21 23:33:16 UTC
CVE-2022-21465:

Vulnerability in the Oracle VM VirtualBox product of Oracle Virtualization (component: Core). The supported version that is affected is Prior to 6.1.34. Easily exploitable vulnerability allows high privileged attacker with logon to the infrastructure where Oracle VM VirtualBox executes to compromise Oracle VM VirtualBox. While the vulnerability is in Oracle VM VirtualBox, attacks may significantly impact additional products (scope change). Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of Oracle VM VirtualBox as well as unauthorized update, insert or delete access to some of Oracle VM VirtualBox accessible data. CVSS 3.1 Base Score 6.7 (Integrity and Availability impacts). CVSS Vector: (CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:L/A:H).

CVE-2022-21471:

Vulnerability in the Oracle VM VirtualBox product of Oracle Virtualization (component: Core). The supported version that is affected is Prior to 6.1.34. Easily exploitable vulnerability allows low privileged attacker with logon to the infrastructure where Oracle VM VirtualBox executes to compromise Oracle VM VirtualBox. While the vulnerability is in Oracle VM VirtualBox, attacks may significantly impact additional products (scope change). Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of Oracle VM VirtualBox. CVSS 3.1 Base Score 6.5 (Availability impacts). CVSS Vector: (CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H).

CVE-2022-21487:

Vulnerability in the Oracle VM VirtualBox product of Oracle Virtualization (component: Core). The supported version that is affected is Prior to 6.1.34. Easily exploitable vulnerability allows low privileged attacker with logon to the infrastructure where Oracle VM VirtualBox executes to compromise Oracle VM VirtualBox. While the vulnerability is in Oracle VM VirtualBox, attacks may significantly impact additional products (scope change). Successful attacks of this vulnerability can result in unauthorized read access to a subset of Oracle VM VirtualBox accessible data. CVSS 3.1 Base Score 3.8 (Confidentiality impacts). CVSS Vector: (CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N).

CVE-2022-21488:

Vulnerability in the Oracle VM VirtualBox product of Oracle Virtualization (component: Core). The supported version that is affected is Prior to 6.1.34. Easily exploitable vulnerability allows low privileged attacker with logon to the infrastructure where Oracle VM VirtualBox executes to compromise Oracle VM VirtualBox. While the vulnerability is in Oracle VM VirtualBox, attacks may significantly impact additional products (scope change). Successful attacks of this vulnerability can result in unauthorized update, insert or delete access to some of Oracle VM VirtualBox accessible data. CVSS 3.1 Base Score 3.8 (Integrity impacts). CVSS Vector: (CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:L/A:N).

Please bump to 6.1.34.
Comment 1 Larry the Git Cow gentoo-dev 2022-04-22 07:20:19 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b36fb9da30b73e71e69c72038fa3d366984514e8

commit b36fb9da30b73e71e69c72038fa3d366984514e8
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2022-04-22 07:10:17 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2022-04-22 07:20:10 +0000

    virtualbox packages: Bump to version 6.1.34
    
    Bug: https://bugs.gentoo.org/839990
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 app-emulation/virtualbox-additions/Manifest        |   1 +
 .../virtualbox-additions-6.1.34.ebuild             |  34 ++
 app-emulation/virtualbox-extpack-oracle/Manifest   |   1 +
 .../virtualbox-extpack-oracle-6.1.34.ebuild        |  41 ++
 app-emulation/virtualbox-guest-additions/Manifest  |   1 +
 .../virtualbox-guest-additions-6.1.34.ebuild       | 221 +++++++++
 app-emulation/virtualbox-modules/Manifest          |   1 +
 .../virtualbox-modules-6.1.34.ebuild               |  67 +++
 app-emulation/virtualbox/Manifest                  |   1 +
 .../files/virtualbox-6.1.34-vboxr0.patch           |  20 +
 app-emulation/virtualbox/virtualbox-6.1.34.ebuild  | 505 +++++++++++++++++++++
 11 files changed, 893 insertions(+)
Comment 2 John Helmert III archtester Gentoo Infrastructure gentoo-dev Security 2022-04-22 12:43:37 UTC
Thanks! Please stabilize when ready.
Comment 3 Nico Baggus 2022-06-18 11:49:55 UTC
Fails to build....


emerge: there are no ebuilds to satisfy "dev-java/openjdk-bin:17[gentoo-vm(+),headless-awt=]".
(dependency required by "virtual/jdk-17::gentoo" [ebuild])
(dependency required by "app-emulation/virtualbox-6.1.34-r1::gentoo[java]" [ebuild])
(dependency required by "app-emulation/virtualbox-extpack-oracle-6.1.34::gentoo" [ebuild])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])

dependency on virtual/jdk:17
Comment 4 John Helmert III archtester Gentoo Infrastructure gentoo-dev Security 2022-06-18 13:40:29 UTC
(In reply to Nico Baggus from comment #3)
> Fails to build....
> 
> 
> emerge: there are no ebuilds to satisfy
> "dev-java/openjdk-bin:17[gentoo-vm(+),headless-awt=]".
> (dependency required by "virtual/jdk-17::gentoo" [ebuild])
> (dependency required by "app-emulation/virtualbox-6.1.34-r1::gentoo[java]"
> [ebuild])
> (dependency required by
> "app-emulation/virtualbox-extpack-oracle-6.1.34::gentoo" [ebuild])
> (dependency required by "@selected" [set])
> (dependency required by "@world" [argument])
> 
> dependency on virtual/jdk:17

That's not a build failure, and this is not the right venue for getting support for build/emerge dep problems. Please try forums or IRC.